2020-02-28 22:08 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004194DeluxeGalaga[All Projects] Generalpublic2019-11-25 12:18
ReporterHexaae 
Assigned ToJOTDProject InfoDeluxe Galaga (Edgar M. Vigdal)
http://www.whdload.de/games/DeluxeGalaga.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0004194: 1/3 times when you launch Deluxe Galaga AGA 2.6c the string when starting a new
DescriptionGameVersion: english,pal
SlaveVersion: 1.2 (05.08.2019)

1/3 times when you launch Deluxe Galaga AGA 2.6c the string when starting a new level can be trashed (e.g. "...1 U" instead of "...1 UP", "Level " instead of Level 2,3,4... etc). This happens randomly, like a memory corruption.
TagsNo tags attached.
MachineUAE
CPU68060
CPUSpeed75
ChipSetAGA
GFXCardOther
ChipMem2 MB
FastMem128 MB
WorkbenchOS 3.1.4
KickROM45 - Kick 3.1.4
KickSoft45 - Kick 3.1.4
WHDLoad18.6beta
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0007455

CFOU (developer)

can you use test beta version using custom1 tooltype to enter in config menu and force 040 CPU

version 1.3 (23.11.2019) done by CFou:
 - adapted for WHDLoad 17+
 - custom1=1 tooltype used to enter in config menu at launch
 - adjust memory requirement (CD32/ECS)
 - missing sfx/music fixed (ECS)
 - 'no enougth memory' message fixed for packed ECS version (0004296)
 - WB access pressing Help key removed for both version (0004195)
 U option

note ~0007457

Hexaae (reporter)

Nice! Can't see gfx glitch with this WHD slave version :)

P.S.
Notice that ross already released a special fix which let you run the game from 040/060 WinUAE emulated Amiga that degrades the emulation and workarounds the reported glitch, with the advantage of HELP key (suspend) restoring temporarily full performance, and with working CLOCK in multitasking...

note ~0007464

CFOU (developer)

fixed
+Notes

-Issue History
Date Modified Username Field Change
2019-08-26 10:09 administrator New Issue
2019-08-26 10:09 administrator Status new => assigned
2019-08-26 10:09 administrator Assigned To => JOTD
2019-11-23 17:36 CFOU File Added: DeluxeGalagaBeta2.lha
2019-11-23 17:36 CFOU Note Added: 0007455
2019-11-23 20:32 Hexaae Note Added: 0007457
2019-11-25 12:18 CFOU Status assigned => closed
2019-11-25 12:18 CFOU Resolution open => fixed
2019-11-25 12:18 CFOU Note Added: 0007464
+Issue History